; File: LEDOn.asm
; Date: June 1, 2006
; Author: Julio Sanchez
; Processor: 16F84A
;
; Description:
; Turn on LED wired to port B, line 0
;===========================
;        switches
;===========================
; Switches used in __config directive:
;   _CP_ON      	Code protection ON/OFF     
; * _CP_OFF      
; * _PWRTE_ON     Power-up timer ON/OFF
;   _PWRTE_OFF     
;   _WDT_ON       Watchdog timer ON/OFF  
; * _WDT_OFF       
;   _LP_OSC       Low power crystal occilator
; * _XT_OSC       External parallel resonator/crystal ocillator  
;   _HS_OSC       High speed crystal resonator (8 to 10 MHz)
;                 Resonator: Murate Erie CSA8.00MG = 8 MHz   
;   _RC_OSC       Resistor/capacitor ocillator (simplest, 20% error)
; |
; |_____ * indicates setup values

	processor 16f84A
	include	  <p16f84A.inc>
	__config  _XT_OSC & _WDT_OFF & _PWRTE_ON & _CP_OFF
;=====================================================
;              variables in PIC RAM
;=====================================================
; None used
;========================================================
;                 m a i n   p r o g r a m
;========================================================
	org	0	  ; start at address 0
	goto	main
;=============================
; space for interrupt handler
;=============================
	org		0x04
;=============================
;       main program
;=============================
main:
; Initialize all line in port B for output
	movlw	B'00000000'	; w = 00000000 binary
	tris	PORTB		; Set up port B for output
; Turn on line 0 in port B. All others remain off
	movlw	B'00000001'
			; -------|
			;    |   |____ Line 0 ON
			;    |________ All others off           
	movwf	PORTB
; Endless loop intentionally hangs up program 
wait:
	goto	wait

		end	

